"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
const init_1 = require("@specron/init");
function default_1(argv) {
    return __awaiter(this, void 0, void 0, function* () {
        const { name, description, root } = argv;
        let answers = {};
        if (!(name && description)) {
            answers = yield inquirer.prompt([
                {
                    type: 'input',
                    name: 'root',
                    message: "Project root:",
                    default: root || '.',
                },
                {
                    type: 'input',
                    name: 'name',
                    message: "Project name:",
                    default: name || 'myproject',
                },
                {
                    type: 'input',
                    name: 'description',
                    message: "Project description:",
                    default: description || '.',
                },
            ]);
        }
        else {
            answers = { name, description, root };
        }
        const generator = new init_1.Generator({
            root: answers['root'],
            name: (answers['name'] || process.cwd().split(/\\|\//).reverse()[0]).toLowerCase(),
            description: answers['description'],
        });
        try {
            console.log(`Initializing ...`);
            yield generator.build();
            console.log(`Done`);
        }
        catch (e) {
            console.error(e);
        }
    });
}
exports.default = default_1;
//# sourceMappingURL=init.js.map