"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const spec_1 = require("@specron/spec");
const sandbox_1 = require("@specron/sandbox");
const Web3 = require("web3");
function default_1(argv) {
    return __awaiter(this, void 0, void 0, function* () {
        const { match, server, host, port } = argv;
        const sandbox = new sandbox_1.Sandbox();
        const web3 = new Web3('http://localhost:8545');
        const reporter = new spec_1.Reporter();
        const stage = new spec_1.Stage(web3, reporter);
        const test = new spec_1.Spec(stage);
        if (server) {
            yield sandbox.listen(port, host);
        }
        const runner = new spec_1.Runner();
        yield runner.require(...match);
        runner.results.forEach((result) => {
            const message = result.file.substr(process.cwd().length + 1);
            test.spec(message, result.spec);
        });
        yield test.perform();
        if (server) {
            yield sandbox.close();
        }
    });
}
exports.default = default_1;
//# sourceMappingURL=test.js.map